Package org.eclipse.graphiti.mm.algorithms

# Interface RoundedRectangle

All Superinterfaces:
  `AbstractStyle`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithm`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PropertyContainer`

All Known Implementing Classes:
  `RoundedRectangleImpl`

public interface RoundedRectangle extends GraphicsAlgorithm
A representation of the model object 'Rounded Rectangle'.

The following features are supported:

- `Corner Height`
- `Corner Width`

See Also:
  - `AlgorithmsPackage.getRoundedRectangle()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCornerHeight()`
Returns the value of the 'Corner Height' attribute.
`int`
`getCornerWidth()`
Returns the value of the 'Corner Width' attribute.
`void`
`setCornerHeight(int value)`
Sets the value of the '`Corner Height`' attribute.
`void`
`setCornerWidth(int value)`
Sets the value of the '`Corner Width`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.GraphicsAlgorithm

`getGraphicsAlgorithmChildren, getHeight, getParentGraphicsAlgorithm, getPictogramElement, getStyle, getWidth, getX, getY, setHeight, setParentGraphicsAlgorithm, setPictogramElement, setStyle, setWidth, setX, setY`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getCornerHeight

int getCornerHeight()
Returns the value of the 'Corner Height' attribute.

If the meaning of the 'Corner Height' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Corner Height' attribute.
See Also:
  - `setCornerHeight(int)`
  - `AlgorithmsPackage.getRoundedRectangle_CornerHeight()`

### setCornerHeight

void setCornerHeight(int value)
Sets the value of the '`Corner Height`' attribute.

Parameters:
  `value` - the new value of the 'Corner Height' attribute.
See Also:
  - `getCornerHeight()`

### getCornerWidth

int getCornerWidth()
Returns the value of the 'Corner Width' attribute.

If the meaning of the 'Corner Width' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Corner Width' attribute.
See Also:
  - `setCornerWidth(int)`
  - `AlgorithmsPackage.getRoundedRectangle_CornerWidth()`

### setCornerWidth

void setCornerWidth(int value)
Sets the value of the '`Corner Width`' attribute.

Parameters:
  `value` - the new value of the 'Corner Width' attribute.
See Also:
  - `getCornerWidth()`